Subject: Re: bug#65797: `buffer-match-p` should not use `func-arity`

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Oct 2023 15:18:12 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Mon, 16 Oct 2023 12:33:10 -0400
> 
> > Sigh.  I guess we can install this on emacs-29 and cross the
> > fingers...
> 
> I'm not insisting on it.
> If you think it's risky, let's just have it on `master`.
> 
> BTW, see below the actual patch, including changes to etc/NEWS, manual,
> as well as the addition of a runtime warning (without which I can't see
> how we'll ever be able to get rid of the ugly backward compatibility
> hack).

Thanks.  I think we should install on master, indeed, and only
consider backporting if we hear about serious issues with the current
code on emacs-29.

> +The new semantics makes no such affordances, tho the code still
                                                ^^^
Typo.  Also, can we find a better (less rare) word instead of
"affordances"?